/******************************************************************************
;  *   	@MCU				 : MA51F8203
;  *   	@Create Date         : 2021.10.11
;  *   	@Author/Corporation  : Martin/SinoMCU
;  *   	@΢֧QQ 	 : 2048615934
;  *    @΢		     : http://www.sinomcu.com/
;  *   	@Copyright           : 2020 SINOMCU Corporation,All Rights Reserved.
;  *----------------------Abstract Description---------------------------------
;  *			                                        		
******************************************************************************/
#ifndef User_Def_H__
#define User_Def_H__

#include "MA51F8203_COMMON.h"
#include "GPIO.h"
#include "EEPROM.h"

#define FSYS_CLOCK	16000000


// //λһ:
// //bdata(ƬRAMλѰַ)
// __O uint8_t bdata Flag_Buff1;		
// sbit Flag_Test=Flag_Buff1^0;

////λ:
//bit	F_xxx;


//λ:
//λ
typedef union
{
   	unsigned char byte;
   	struct
   	{
   	   	uint8_t bit0 : 1;
   	   	uint8_t bit1 : 1;
   	   	uint8_t bit2 : 1;
   	   	uint8_t bit3 : 1;
   	   	uint8_t bit4 : 1;
   	   	uint8_t bit5 : 1;
   	   	uint8_t bit6 : 1;
   	   	uint8_t bit7 : 1;
   	} bits;
}Flag; 	
extern __O Flag Flag1;

#define FLAG_TIMER_100MS	 Flag1.bits.bit0

#endif

/**************************** end of file *********************************************/
