/******************************************************************************
;  *   	@MCU				 : MA51F8203
;  *   	@Create Date         : 2021.10.11
;  *   	@Author/Corporation  : Martin/SinoMCU
;  *   	@΢֧QQ 	 : 2048615934
;  *    @΢		     : http://www.sinomcu.com/
;  *   	@Copyright           : 2020 SINOMCU Corporation,All Rights Reserved.
;  *----------------------Abstract Description---------------------------------
;  *			                                        		
******************************************************************************/
#include "TIMER.h"

/************************************************
;  *    @Function Name       : Timer3_Init
;  *    @Description         : T3
;  *    @IN_Parameter      	 :
;  *    @Return parameter    :
;  ***********************************************/
void Timer3_Init(void)
{
#if (TIMER_MODE == 0) //ʽ0 16λͨöʱ
	//demoʹ,Ϊ˽,ֿд,ʵʲĴԼrom
	T3CR |= DEF_SET_BIT3;  //ʹT3
	T3CR &= ~DEF_SET_BIT6; //ʱģʽ
	T3CR &= 0xf8;		   //
	T3CR |= 0x02;		   //FT3=Fsys/16
	T3CR &= ~DEF_SET_BIT7; //رTR3
	//Ƕд TL3/TH3 ֵ,ֹͣ(TR3=0), T3 Ԥ֪
	//дʱ:д TL3,дTH3, TL3 ֵӳڲ counter 
	//ȶ TH3,ٶ TL3,򽫶ȡֵ
	TL3 = (65536 - 1000) % 256;
	TH3 = (65536 - 1000) / 256;
	T3CR |= DEF_SET_BIT7; //TR3=1
	IE1 |= DEF_SET_BIT1;  //ʹж
#endif

#if (TIMER_MODE == 1) //ʽ1 16λʱ
	//ֻʹ,ûѹ,
	T3CR |= DEF_SET_BIT3; //ʹT3
	LFEN = 1;			  //Ƶʼչ
	T3CR |= DEF_SET_BIT6; //ģʽ
	T3CR &= 0xf8;		  //
	T3CR |= 0x01;		  //0.5s
	while(!STBXT);
	T3CR |= DEF_SET_BIT7; //TR3=1
	IE1 |= DEF_SET_BIT1;  //ʹж
#endif
}
void Timer3_ISR(void) interrupt T3_IRQn
{
	SFR_INTERRUPT_BUFF_BIT_T3 = SFRSL0;		//жϻSFR
	
#if (TIMER_MODE == 0) //ʽ0 16λʱ
	
	SLK_SFR0();
	LED1 = !LED1;

#endif

#if (TIMER_MODE == 1) //ʽ1 16λʱ

	SLK_SFR0();
	LED1 = !LED1;

#endif
	SFRSL0 = SFR_INTERRUPT_BUFF_BIT_T3;		//˳жϻԭSFR
}

/**************************** end of file *********************************************/

