/******************************************************************************
;  *   	@MCU				 : MA51F8203
;  *   	@Create Date         : 2021.10.11
;  *   	@Author/Corporation  : Martin/SinoMCU
;  *   	@΢֧QQ 	 : 2048615934
;  *    @΢		     : http://www.sinomcu.com/
;  *   	@Copyright           : 2020 SINOMCU Corporation,All Rights Reserved.
;  *----------------------Abstract Description---------------------------------
;  *			          T3ʱ ⲿжϻ
						ѡ   Źʼչ
						P13P14P22ⲿжINT00INT10INT13
						½ػѣѺP23P24P25ת
						T3 0.25SѣѺP26ת ؼ                             		
******************************************************************************/

#include "User_Def.h"

//ȫֱ
__O bit_flag flag1;
__O bit_flag SFR_interrupt_buff_H;
__O bit_flag SFR_interrupt_buff_L;
__O uint8_t wake_up_status;	//״̬
//˽б

/************************************************
;  *    @Function Name       : delay
;  *    @Description         : ͨʱ
;  *    @IN_Parameter      	 :
;  *    @Return parameter    :
;  ***********************************************/
static void delay(uint16_t Num)
{
	for (; Num > 0; Num--)
	{
		_nop_();
	}
}

void main(void)
{
	u8 cnt=0;
	DISABLE_GIE(); //رж
	GPIO_Init();
	LFEN = 1;			  //Ƶʼչ
	ENABLE_GIE(); //ж
	while (1)
	{
		//1.T3ʱ ⲿж
		wake_up_status = 0;
		Timer3_Init();
		INT_Init();
		//2.ʹж
		IE1 |= DEF_SET_BIT1;  	//ʹT3ж
		EXT0IE = 1;
		EXT1IE = 1;
		//3.ÿŹ
		WDTCR = 0x07;			//Źʱ1SĿŹʱҪT3ʱʱ
		//4.
		SLPCR = 0x55;
		SET_SLEEP();
		NOP(2);	
		//5.Ѻ忴Ź
		WDTCR = 0x07;			//Źʱ1S
		//6.رT3ʱж
		T3CR &= ~DEF_SET_BIT3;	//رT3
		IE1 &= ~DEF_SET_BIT1;	//رT3ж
		EXT0IE = 0;				//ѡǷر
		EXT1IE = 0;				
		//7.ʱʱδⲿжϵȻ
		if(1==wake_up_status)		//T3ʱ
		{
			//Ӷʱʱʵֹ,demoʾ
			for(cnt = 20; cnt >= 1; cnt--)
			{
				P26D = !P26D;
			}	
		}else if(2==wake_up_status)		//P13ⲿжϻ
		{
			for(cnt = 20; cnt >= 1; cnt--)
			{
				P23D = !P23D;
			}
		}else if(3==wake_up_status)	//P10ⲿжϻ
		{
			for(cnt = 20; cnt >= 1; cnt--)
			{
				P24D = !P24D;
			}
		}else if(4==wake_up_status)	//P22ⲿжϻ
		{
			for(cnt = 20; cnt >= 1; cnt--)
			{
				P25D = !P25D;
			}
		}	
	}
}

/**************************** end of file *********************************************/


