/******************************************************************************
;  *   	@MCU				 : MA51F8203
;  *   	@Create Date         : 2021.10.11
;  *   	@Author/Corporation  : Martin/SinoMCU
;  *   	@΢֧QQ 	 : 2048615934
;  *    @΢		     : http://www.sinomcu.com/
;  *   	@Copyright           : 2020 SINOMCU Corporation,All Rights Reserved.
;  *----------------------Abstract Description---------------------------------
;  *			         SPI                               		
******************************************************************************/

#include "SPI.h"

/************************************************
;  *    @Function Name       : SPI_User_Init
;  *    @Description         : SPI
;  *                           ڵÿ⺯ʱʼóԱ
;  *    @IN_Parameter      	 :
;  *    @Return parameter    :
;  ***********************************************/
void SPI_User_Init(void)
{
	SPI_InitTypeDef SPI_initstructure;

	SPI_StructInit(&SPI_initstructure);     //ʼгԱ
	//P27_PUSHPULL_MODE; //MOSI
	//P26_PUSHPULL_MODE; //SCK
//	P21_PUSHPULL_MODE; //Ƭѡ  ͨIO
//	P21D = 1;		   //ʹƬѡ
	//P10_INPUTHIZ_MODE; //MISO
	//P10_INPUT_PULLUPZ; //MISO
	
	SPI_CS_IO=1;//ʹƬѡ
	
	SPI_initstructure.SPI_mode = SPI_MODE_MASTER;		  //SPIģʽ:ΪSPI
	SPI_initstructure.SPI_CPOL = SPI_CPOL_HIGH;			  //ͬʱӵĿ״̬Ϊߵƽ
	SPI_initstructure.SPI_CPHA = SPI_CPHA_2EDGE;		  //ͬʱӵĵڶأ½ݱ
	SPI_initstructure.SPI_NSS = SPI_NSS_DISABLE;		  //رSSţSSλ
	SPI_initstructure.SPI_clock_division = SPI_CLK_DIV_2; //ʱӷƵ2Ƶ
	SPI_initstructure.SPI_first_bit = SPI_FIRST_BIT_MSB;  //ָݴMSBλLSBλʼ:ݴMSBλʼ
	SPI_initstructure.SPI_interrupt = DISABLE;			  //رж
	//SPI_initstructure.SPI_interrupt_priority = DISABLE;	//ȼ
	SPI_Init(&SPI_initstructure); //SPI_InitStructָĲʼSPIxĴ

	SPI_Cmd(ENABLE); //ʹSPI
}
/************************************************
;  *    @Function Name       : SPI1_ReadWriteByte
;  *    @Description         : SPI1 дһֽ
;  *    @IN_Parameter        :TxData:Ҫдֽ
;  *    @Return parameter    :ֵ:ȡֽ
;  ***********************************************/
uint8_t SPI1_ReadWriteByte(uint8_t TxData)
{
	SPI_Send_Data(TxData);
	while (SPI_Get_FlagStatus(SPI_FLAG_IF) == RESET);
	SPI_Clear_FlagStatus(SPI_FLAG_IF);
	return SPI_Receive_Data();
}

/**************************** end of file *********************************************/
