/******************************************************************************
;  *   	@MCU				 : MA51F8203
;  *   	@Create Date         : 2021.10.11
;  *   	@Author/Corporation  : Martin/SinoMCU
;  *   	@΢֧QQ 	 : 2048615934
;  *    @΢		     : http://www.sinomcu.com/
;  *   	@Copyright           : 2020 SINOMCU Corporation,All Rights Reserved.
;  *----------------------Abstract Description---------------------------------
;  *			                                        		
******************************************************************************/

#ifndef EEPROM_H__
#define EEPROM_H__
#include "User_Def.h"

void EEPROM_Chip_Erase();
void EEPROM_Page_Erase(uint8_t Page);
void EEPROM_Page_Write(uint8_t page, uint8_t *W_data);
void EEPROM_Byte_Erase(uint16_t addar);
void EEPROM_Byte_Write(uint16_t addar, uint8_t W_data);
uint8_t EEPROM_Byte_Read(uint16_t addr);
void EEPROM_Read(uint16_t addr, uint8_t idata *R_data, uint16_t len);

#endif

/**************************** end of file *********************************************/
