/******************************************************************************
;  *   	@MCU				 : MA51F8203
;  *   	@Create Date         : 2020.01.02
;  *   	@Author/Corporation  : Martin/SinoMCU
;  *   	@΢֧QQȺ   : 814641858
;  *    @΢ٷ̳       : http://bbs.sinomcu.com/
;  *   	@Copyright           : 2020 SINOMCU Corporation,All Rights Reserved.
;  *----------------------Abstract Description---------------------------------
;  *			                                     		
******************************************************************************/
/******************************************************************************
;  *   	@MCU				 : MA51F8203
;  *   	@Create Date         : 2021.10.11
;  *   	@Author/Corporation  : Martin/SinoMCU
;  *   	@΢֧QQ 	 : 2048615934
;  *    @΢		     : http://www.sinomcu.com/
;  *   	@Copyright           : 2020 SINOMCU Corporation,All Rights Reserved.
;  *----------------------Abstract Description---------------------------------
;  *			            PWM0                          		
******************************************************************************/

#include "PWM0.h"

/************************************************
;  *    @Function Name       : PWM0_User_Init
;  *    @Description         : PWM0
;  *                           ڵÿ⺯ʱʼóԱ
;  *    @IN_Parameter      	 :
;  *    @Return parameter    :
;  ***********************************************/
void PWM0_User_Init(void)
{
    PWM0_InitTypeDef PWM0_initstructure;

	  PWM0_StructInit(&PWM0_initstructure);     //ʼгԱ
	
    PWM0_T_Set(160 - 1); //T=(PWM0P+1)/Fsys
    PWM0_D_Set(80 - 1);

    PWM0_initstructure.PWM0_OE = PWM0_OE_ENABLE;      //ʹ
    PWM0_initstructure.PWM0_polarity = PWM0_POL_HIGH; //ߵƽ
    PWM0_initstructure.PWM0_clock_division = PWM0_CLK_DIV_1;      //Ƶ  f=cpu
    PWM0_initstructure.PWM0_interrupt = ENABLE;       //ʹж
    PWM0_initstructure.PWM0_interrupt_priority = LOW; //жȼ

    PWM0_Init(&PWM0_initstructure);
}



/**************************** end of file *********************************************/
